Last Comment Bug 791146 - getBuildConfiguration() returns the wrong value for gczeal and threadsafe
: getBuildConfiguration() returns the wrong value for gczeal and threadsafe
Status: VERIFIED FIXED
: regression, verifyme
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla18
Assigned To: Gary Kwong [:gkw] [:nth10sd]
:
Mentors:
Depends on:
Blocks: 776732
  Show dependency treegraph
 
Reported: 2012-09-13 17:58 PDT by Gary Kwong [:gkw] [:nth10sd]
Modified: 2012-09-19 10:43 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
unaffected
fixed
verified
unaffected


Attachments
patch (1.65 KB, patch)
2012-09-13 17:58 PDT, Gary Kwong [:gkw] [:nth10sd]
gary: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
Details | Diff | Review

Description Gary Kwong [:gkw] [:nth10sd] 2012-09-13 17:58:57 PDT
Created attachment 661077 [details] [diff] [review]
patch

getBuildConfiguration returns the wrong value for threadsafe / gczeal, because they are both named has-gczeal. Thus,

getBuildConfiguration()["has-gczeal"]

returns false even though it is true in a build with gczeal enabled but threadsafety disabled.

The attached patch fixes it to "threadsafe", and removes a duplicated JSGC_ROOT_ANALYSIS ifdef block. The patch was r=sfink over irc.
Comment 1 Gary Kwong [:gkw] [:nth10sd] 2012-09-13 18:05:36 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/e3799f9cfee8
Comment 2 Ryan VanderMeulen [:RyanVM] 2012-09-14 18:21:48 PDT
https://hg.mozilla.org/mozilla-central/rev/e3799f9cfee8
Comment 3 Gary Kwong [:gkw] [:nth10sd] 2012-09-15 13:07:00 PDT
In m-c changeset 9fff2012b66c 64-bit debug shell,

js> getBuildConfiguration()
({debug:true, dtrace:false, e4x:true, 'exact-rooting':false, 'generational-gc':false, 'has-ctypes':false, 'has-gczeal':true, 'incremental-gc':true, methodjit:true, 'more-deterministic':true, 'oom-backtraces':false, profiling:false, 'rooting-analysis':false, threadsafe:false, 'trace-jscalls-api':false, valgrind:true})
js> getBuildConfiguration()['threadsafe']
false
js> getBuildConfiguration()['rooting-analysis']
false
js> getBuildConfiguration()['has-gczeal']       
true
js>

gives the correct values. Thus, verified.
Comment 4 Gary Kwong [:gkw] [:nth10sd] 2012-09-15 13:08:53 PDT
Comment on attachment 661077 [details] [diff] [review]
patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 776632 and bug 776732
User impact if declined: wrong output in Firefox 17 js shell
Testing completed (on m-c, etc.): verified fixed
Risk to taking this patch (and alternatives if risky): no risk, shell only
String or UUID changes made by this patch: none
Comment 5 Gary Kwong [:gkw] [:nth10sd] 2012-09-17 15:51:32 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/866e54dbaead

Note You need to log in before you can comment on or make changes to this bug.